.\" Copyright (c) 1983, 1988, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)hostname.1	8.2 (Berkeley) 4/28/95
.\" $FreeBSD: src/bin/hostname/hostname.1,v 1.10.2.4 2002/04/22 22:20:29 keramida Exp $
.\" $DragonFly: src/bin/hostname/hostname.1,v 1.5 2007/12/16 02:55:37 thomas Exp $
.\"
.Dd April 28, 1995
.Dt HOSTNAME 1
.Os
.Sh NAME
.Nm hostname
.Nd set or print name of current host system
.Sh SYNOPSIS
.Nm
.Op Fl s
.Op Ar name-of-host | -r ip-address | -i interface [-6 | -4]
.Sh DESCRIPTION
The
.Nm
utility prints the name of the current host.  The super-user can
set the hostname by supplying an argument;
this is usually done at boot time by setting the
.Va hostname
variable in
.Pa /etc/rc.conf .
.Pp
Options:
.Bl -tag -width flag
.It Fl s
Trim off any domain information from the printed
name.
.It Fl r
Retrieve hostname via ip lookup.  The hostname is set to the first (official)
name returned for the supplied ip address.  Can be an IPv6 or IPv4 address.
.It Fl i
Retrieve hostname via supplied interface name.
.It Fl 6
Used in conjunction with -i to select the 1st IPv6 address on the interface.
.It Fl 4
Used in conjunction with -i to select the 1st IPv4 address on the interface.
This is the default and assumed if -6 or -4 is not supplied.
.El
.Sh SEE ALSO
.Xr gethostname 3 ,
.Xr rc.conf 5
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.2 .
